<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>CSS Inheritance Example</title>
    <style>
        /* Roditeljski stil koji će biti naslijeđen */
        .parent {
            color: #b63434; /* Tamno siva boja teksta */
            font-family: 'Arial', sans-serif;
        }

        /* Stil za sve elemente unutar diva s klasom "parent" */
        .parent * {
            border: 1px solid #666666;
            padding: 5px;
            margin: 10px 0;
        }

        /* Nasljeđivanje boje teksta, ali prebrisivanje fonta */
        .child {
            font-family: 'Times New Roman', serif;
        }

        /* Specifični stil koji ne nasljeđuje boju teksta od roditelja */
        .no-inherit {
            color: #0066cc; /* Plava boja teksta */
        }

        /* Poništavanje nasljeđivanja i postavljanje defaultne vrijednosti */
        .reset-inherit {
            color: initial; /* Vraća na defaultnu boju preglednika */
        }

        /* Stil za linkove unutar .parent koji nasljeđuje boju teksta */
        .parent a {
            text-decoration: none; /* Uklanja podcrtavanje */
        }

        /* Stil za linkove na hover koji ne nasljeđuje boju */
        .parent a:hover {
            color: #ff6600; /* Narančasta boja */
        }

        /* Stil za element unutar .child koji eksplicitno nasljeđuje boju */
        .child .inherit {
            color: inherit; /* Eksplicitno nasljeđivanje boje teksta od .child */
        }
    </style>
</head>
<body>
    <div class="parent">
        Ovo je tekst unutar roditeljskog diva.
        <div class="child">
            Ovo je tekst unutar dječjeg diva, nasljeđuje boju, ali ima drugačiji font.
            <div class="inherit">
                Ovo je tekst koji eksplicitno nasljeđuje boju od svog roditelja.
            </div>
            <div class="no-inherit">
                Ovo je tekst koji ne nasljeđuje boju teksta, ima svoju plavu boju.
            </div>
            <div class="reset-inherit">
                Ovo je tekst koji resetira nasljeđivanje na defaultnu vrijednost.
            </div>
        </div>
        <a href="#">Ovo je link koji nasljeđuje boju teksta.</a>
    </div>
</body>
</html>
